Package org.eclipse.net4j.util.om.trace

# Class PerfTracer

java.lang.Object
org.eclipse.net4j.util.om.trace.ContextTracer
org.eclipse.net4j.util.om.trace.PerfTracer

public class PerfTracer extends ContextTracer
A `context tracer` that maintains a number of timers for performance measurements.

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`NOT_STARTED`

## Constructor Summary

Constructors
Constructor
Description
`PerfTracer(OMTracer delegate, Class<?> context)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getDuration(Object object)`
`void`
`start(Object object)`
`long`
`stop(Object object)`

### Methods inherited from class org.eclipse.net4j.util.om.trace.ContextTracer

`format, format, getBundle, getContext, getDelegate, getFullName, getName, getParent, ifEnabled, isEnabled, setEnabled, toString, trace, trace, trace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NOT_STARTED

public static final long NOT_STARTED

See Also:
  - Constant Field Values

## Constructor Details

### PerfTracer

public PerfTracer(OMTracer delegate, Class<?> context)

## Method Details

### start

public void start(Object object)

### stop

public long stop(Object object)

### getDuration

public long getDuration(Object object)